(KVM Uploader Help Index)

KVM Uploader Dialog

The KVM Uploader is a Dialog application which manages the upgrading of the firmware in KVM switch units using an RS232 connection. Each unit contains 1 or more microprocessors which may be upgradeable.

To co-ordinate the upgrading of these processors to the correct version of code, a list of code-files are associated with each microprocessor in a text-file provided for the upgrade. Each upgrade version will have a different text-file. The text-file also contains other information such as the version number, title and some basic instructions.

Once the text-file is loaded into the application memory, the KVM Uploader attempts to determine what type of unit is connected to the RS232 port (this can be done manually using the Query Box button). Normally, the attached unit and the text-file information will match and the upload will proceed. Occasionally, for example, if you attempt to upload an older version of code than that already on the unit, the application will ask for confirmation or prevent upload completely. In the event of ambiguity, Expert-Mode can be used to allow the user to select one of the options, but this should be used with care.


(KVM Uploader Help Index)

KVM Uploader Dialog - Normal Use

The following steps are the intended normal operation of the KVM Uploader Dialog application:

  1. Open a text-file for the required upgrade by clicking on the Browse ... button.
    This is a standard Windows browse function which will only allow you to open a file with the TXT extension (not case-sensitive). If the application can interpret the selected file as an upgrade file, it will display the title, instructions and a microprocessor list in the window. If not a message box will be displayed.

  2. The Advanced ... button permits the setting of program / verify mode, COM port number and whether Expert Mode is applied. The default settings are program-only, COM1 and Normal Mode. If you require any other setting, select the Advanced ... button and click the corresponding setting.
    NB. The COM ports are made available if the KVM Uploader application can Open / Close them, if the expected COM port is not listed, it is likely that another application is already using it.

  3. To confirm that the unit to be upgraded is connected and is the right one, click the Query Unit button. The response from the unit (both type and version) will be displayed in the Dialog window.

  4. To perform the upgrade, click Upload Now.
    All the other buttons become disabled except for the Abort button. The upload can take as long as 15 minutes. Should you decide not to continue with the Upload at any stage, click the Abort button; response to this is usually instant, however, during an erase command, the upload will not be aborted until the erase is complete (this may take a few seconds).

  5. The progress of the upload is shown in the progress bar (indicating the progress of the complete upload to all devices in the unit) and the status bar (indicating the progress of the current device upload).
    As each device is erased, programmed and verified, this information is appended to the device list in the display window for confirmation.


(KVM Uploader Help Index)

KVM Uploader Dialog - How To ...

Load an Upgrade File

Open a text-file for the required upgrade by clicking on the Browse ... button.
This is a standard Windows browse function which will only allow you to open a file with the TXT extension (not case-sensitive). If the application can interpret the selected file as an upgrade file, it will display the title, instructions and a microprocessor list in the window. If not a message box will be displayed.

Connect To A Unit

Connect a suitable RS232 cable between the PC and the unit to be upgraded.
Place the unit into Upgrade mode. Refer to the unit documentation for details. Generally, this will involve powering down the unit, setting a DIP switch to UPGRADE mode or holding down a front-panel button, and then repowering the unit.
The unit should then display a lower-case ‘u’ on its front-panel.
Use the Query Unit button to send and receive data across the RS232 link. If everything is correct, the KVM Uploader application will display the correct unit type and size as well as the current firmware version number.
On some units, the lower-case ‘u’ will be replaced by an upper-case ‘U’.

Set Applications Settings

To set the COM port number, to change the program mode (to one of program only, program and verify and verify only) and to set Expert Mode, click the Advanced ... button and then select the desired option.
If the required COM port is not shown, it is not available to the KVM Uploader application.

Upgrade A Unit

Click Upload Now. It is essential that an appropriate upgrade file has already been selected (using Browse ... ) and that the communications port is connected to the unit to be upgraded and that the unit is in upgrade mode. All the Dialog buttons except for Abort should become disabled and the upgrade should proceed.

Abort An Upgrade

Click the Abort button during the programming / verifying phase. You will be asked to confirm the Abort, if you click Yes, the current operation will be halted immediately (a few seconds may be required in the middle of erase operations or in the event of a communications problem). If you click No, the operation continues.


(KVM Uploader Help Index)

KVM Uploader Dialog - Problems & Error Messages

KVM Uploader Problems

Unit ID Wrong

If the unit is in upgrade mode (should be a ‘u’ or ‘U’ on the front-panel display), there are two possibilities for a wrong unit ID:

  1. The unit type is correct but the size is unknown and the firmware version is V7.255 (or similar).
  2. There is a communications problem (see the next section).

In the first case, the unit appears to have been partially upgraded (perhaps the upgrade was interrupted). In this event, the normal upgrade procedure should be followed, however, it is possible that the KVM Uploader application will not be able to determine which file needs to be uploader to the primary microprocessor in the unit. In Normal Mode this will result in a message suggesting the user seeks technical assistance. In Expert Mode this will result in the user being offered the choice of alternative files to upload. If you are unsure which of the files to use either seek technical assistance or try one and then confirm that the unit operates as expected (especially the OSD). If the unit fails to operate as expected you must erase the primary microprocessor (run another upgrade but abort after the first device is erased) and then re-run the upgrade (with the unit now in the V7.255 state) and select the other file.

Communications

The KVM Uploader application requires a reliable RS232 connection (19,200 baud) between the PC and the unit to be upgraded. If this is interrupted or faulty, the upload will not work. In the event of such a failure, please seek technical assistance.

KVM Uploader Error Messages

The following error messages may be reported:

Unit does not appear to be in upgrade mode, please repower correctly.

The application attempted to query the unit to be upgrade, but got no response. This is most likely the result of the unit not being in Upgrade Mode (see the unit documentation) or having already been queried. Ensure the unit is in Upgrade Mode and repowered.

Upload failed: comms failed to respond.

Upload failed: comms failed to open.

There appears to be a problem with the connection. Are the settings correct?

An attempt to communicate with the unit failed. This is most likely a result of the COM port being incorrectly set-up. Check that the correct COM port is selected using the Advanced ... button and that the cable is connected to the corresponding connector.

The specified file contained too many device IDs.

The selected upgrade file contains more device IDs than the application expects. Seek advice to determine that this is the latest version of the KVM Uploader application and that the upgrade file is correct.

Not an upload file.

Upload failed: upgrade file not in the required format.

The specified file was not recognised as an upload file.

The selected upgrade file was not a TXT file and / or it contained data that was not in the expected format for an upgrade file. Seek advice to determine that this is the latest version of the KVM Uploader application and that the upgrade file is correct.

Upload aborted: file and unit incompatible.

Unit and file are not compatible.

The selected upgrade file is intended for a unit different to that attached to the communications port. In most cases it is possible to upload similar unit firmware to a unit which has been erased or incorrectly programmed using Expert Mode.

Can't determine if %s can be uploaded to %s, please seek technical assistance.

The selected upgrade file contains a number of alternative files for different versions of the same unit. This correct upgrade file is determined from the current unit version code; if this is, for some reason, blank (V7.255), then the KVM Uploader application cannot distinguish which of the files to use. If you can determine which to use, use Expert Mode in which the Uploader will ask the user to select rather than produce this error message.

Upload successful.

The upload completed successfully.

Upload failed: Out of memory for HEX file.

The HEX or S19 file specified in the upgrade (TXT) file was larger than the available buffer in the application. Seek advice to determine that this is the latest version of the KVM Uploader application and that the upgrade file is correct.

Upload failed: Couldn't read HEX file.

The HEX or S19 file specified in the upgrade (TXT) file contained data that was not expected. Seek advice to determine that this is the latest version of the KVM Uploader application and that the upgrade file is correct.

Upload failed: erase failure.

The uploader received no reply from the unit to an ERASE command. This may be due to interrupted communications, a faulty upgrade file or failure of the device to erase.

Upload failed: verification failure.

The verification failed – i.e. data in the device did not correspond to data in the appropriate HEX file (or the communications failed).

Upload failed: programming failure (possibly due to cable disconnection).

The programming failed, this may be due to a problem with the device being programmed or with the communications (e.g. RS232 cable detached).

Upload aborted.

The programming / verification was aborted by the user.

Upload failed: don't know why.

This is a catch-all failure and should not happen. Seek advice to determine that this is the latest version of the KVM Uploader application and that the upgrade file is correct.


(<<YourApp>> Help Index)

<<YourApp>> Help Topics

Write a topic here that discusses your application's main dialog